diff --git a/shaders/shader.frag b/shaders/shader.frag
index 7c5b0e7..3b314be 100644
--- a/shaders/shader.frag
+++ b/shaders/shader.frag
@@ -1,9 +1,12 @@
 #version 450
 
+layout(binding = 1) uniform sampler2D texSampler;
+
 layout(location = 0) in vec3 fragColor;
+layout(location = 1) in vec2 fragTexCoord;
 
 layout(location = 0) out vec4 outColor;
 
 void main() {
-    outColor = vec4(fragColor, 1.0);
+    outColor = vec4(fragColor * texture(texSampler, fragTexCoord).rgb, 1.0);
 }
